通话记录

通话记录-详情

GET/openapi/call_logs/{sessionID}

请求

参数

sessionIDstring必需

路径参数 · 会话ID

响应

200 OK
idinteger必需

通话记录ID

sessionIdstring必需

会话ID

scriptPlanIdinteger必需

IVR ID

agentIdstring

坐席ID

numberIdinteger必需

号码ID

taskIdinteger

任务ID

taskItemIdinteger

任务记录ID

startAtstring必需

开始时间

endAtstring必需

挂机时间

answerAtstring必需

应答时间

createdAtstring必需

创建时间

calleestring必需

被叫号码

calleeAttributestring必需

被叫号码归属地

callerstring必需

主叫号码

callerAttributestring必需

主叫号码归属地

directionstring必需

呼叫方向

inboundoutbound
agentNamestring

坐席姓名

recordFilestring必需

通话记录

durationinteger必需

通话时长

billsecinteger必需

计费时长

hangupSidestring必需

挂机方

hangupReasonstring必需

挂机原因

collectobject[]必需

信息收集结果

[].vidinteger

助手版本ID

[].itemsobject[]必需
[].questionstring必需

问题

[].optionboolean必需

是否有选项

[].answerOptionstring[]

问题可选答案

[].answerstring

答案

[].hitboolean必需

是否收集

[].messagestring
ringTimeinteger

振铃

assistantVidsinteger[]

使用的助手ID数组

示例代码

curl -X GET 'https://openapi.voicefox.cn/openapi/call_logs/{sessionID}' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  -H 'Content-Type: application/json'

响应示例

{
  "id": 0,
  "sessionId": "会话ID",
  "scriptPlanId": 0,
  "agentId": "坐席ID",
  "numberId": 0,
  "taskId": 0,
  "taskItemId": 0,
  "startAt": "开始时间",
  "endAt": "挂机时间",
  "answerAt": "应答时间",
  "createdAt": "创建时间",
  "callee": "被叫号码",
  "calleeAttribute": "被叫号码归属地",
  "caller": "主叫号码",
  "callerAttribute": "主叫号码归属地",
  "direction": "inbound",
  "agentName": "坐席姓名",
  "recordFile": "通话记录",
  "duration": 0,
  "billsec": 0,
  "hangupSide": "挂机方",
  "hangupReason": "挂机原因",
  "collect": [
    {
      "vid": 0,
      "items": [
        {
          "question": "问题",
          "option": false,
          "answerOption": [
            "string"
          ],
          "answer": "答案",
          "hit": false,
          "message": "string"
        }
      ]
    }
  ],
  "ringTime": 0,
  "assistantVids": [
    0
  ]
}